#
# spec file for package nodejs-realize-package-specifier
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name realize-package-specifier

Name:           nodejs-%{base_name}
Version:        3.0.1
Release:        9.1
Summary:        Parse a package specifier, peeking at the disk to differentiate between local
License:        ISC
Group:          Development/Languages/Other
Url:            https://github.com/npm/realize-package-specifier
Source0:        http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Parse a package specifier, peeking at the disk to differentiate between local tarballs, directories and named modules. This implements the logic used by npm install and npm cache to determine where to get packages from.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json index.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{nodejs_modulesdir}/%{base_name}

%changelog
* Sat Jun 27 2015 i@marguerite.su
- update version 3.0.1
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 3.0.0
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Fri Oct 10 2014 jgleissner@suse.com
- Initial build
